diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/CdmGenericDaoImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/CdmGenericDaoImplTest.java
index 2536338cc5..c79bcfd9dc 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/CdmGenericDaoImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/CdmGenericDaoImplTest.java
@@ -33,7 +33,6 @@ import eu.etaxonomy.cdm.model.agent.Address;
 import eu.etaxonomy.cdm.model.agent.AgentBase;
 import eu.etaxonomy.cdm.model.agent.Contact;
 import eu.etaxonomy.cdm.model.agent.Institution;
-import eu.etaxonomy.cdm.model.agent.InstitutionType;
 import eu.etaxonomy.cdm.model.agent.InstitutionalMembership;
 import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
@@ -42,10 +41,10 @@ import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.AnnotationType;
 import eu.etaxonomy.cdm.model.common.CdmBase;
 import eu.etaxonomy.cdm.model.common.Credit;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.Extension;
 import eu.etaxonomy.cdm.model.common.ExtensionType;
-import eu.etaxonomy.cdm.model.common.Figure;
 import eu.etaxonomy.cdm.model.common.GrantedAuthorityImpl;
 import eu.etaxonomy.cdm.model.common.Group;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
@@ -57,6 +56,7 @@ import eu.etaxonomy.cdm.model.common.MarkerType;
 import eu.etaxonomy.cdm.model.common.OrderedTermBase;
 import eu.etaxonomy.cdm.model.common.OrderedTermVocabulary;
 import eu.etaxonomy.cdm.model.common.OriginalSourceBase;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.common.RelationshipTermBase;
 import eu.etaxonomy.cdm.model.common.Representation;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
@@ -77,10 +77,7 @@ import eu.etaxonomy.cdm.model.description.MediaKey;
 import eu.etaxonomy.cdm.model.description.PresenceAbsenceTermBase;
 import eu.etaxonomy.cdm.model.description.PresenceTerm;
 import eu.etaxonomy.cdm.model.description.QuantitativeData;
-import eu.etaxonomy.cdm.model.description.Scope;
-import eu.etaxonomy.cdm.model.description.Sex;
 import eu.etaxonomy.cdm.model.description.SpecimenDescription;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.description.StateData;
 import eu.etaxonomy.cdm.model.description.StatisticalMeasure;
@@ -90,26 +87,21 @@ import eu.etaxonomy.cdm.model.description.TaxonInteraction;
 import eu.etaxonomy.cdm.model.description.TaxonNameDescription;
 import eu.etaxonomy.cdm.model.description.TextData;
 import eu.etaxonomy.cdm.model.description.TextFormat;
-import eu.etaxonomy.cdm.model.location.Continent;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
 import eu.etaxonomy.cdm.model.location.NamedAreaType;
 import eu.etaxonomy.cdm.model.location.Point;
 import eu.etaxonomy.cdm.model.location.ReferenceSystem;
-import eu.etaxonomy.cdm.model.location.TdwgArea;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 import eu.etaxonomy.cdm.model.media.AudioFile;
 import eu.etaxonomy.cdm.model.media.ImageFile;
 import eu.etaxonomy.cdm.model.media.Media;
 import eu.etaxonomy.cdm.model.media.MediaRepresentation;
 import eu.etaxonomy.cdm.model.media.MediaRepresentationPart;
 import eu.etaxonomy.cdm.model.media.MovieFile;
-import eu.etaxonomy.cdm.model.media.ReferencedMediaBase;
 import eu.etaxonomy.cdm.model.media.Rights;
-import eu.etaxonomy.cdm.model.media.RightsTerm;
+import eu.etaxonomy.cdm.model.media.RightsType;
 import eu.etaxonomy.cdm.model.molecular.DnaSample;
-import eu.etaxonomy.cdm.model.molecular.GenBankAccession;
-import eu.etaxonomy.cdm.model.molecular.Locus;
 import eu.etaxonomy.cdm.model.molecular.PhylogeneticTree;
 import eu.etaxonomy.cdm.model.molecular.Sequence;
 import eu.etaxonomy.cdm.model.name.BacterialName;
@@ -136,21 +128,16 @@ import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEvent;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
 import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
-import eu.etaxonomy.cdm.model.occurrence.DerivedUnitBase;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.cdm.model.occurrence.DeterminationModifier;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
-import eu.etaxonomy.cdm.model.occurrence.Fossil;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.GatheringEvent;
-import eu.etaxonomy.cdm.model.occurrence.LivingBeing;
-import eu.etaxonomy.cdm.model.occurrence.Observation;
 import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.reference.IBook;
 import eu.etaxonomy.cdm.model.reference.IBookSection;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
+import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
 import eu.etaxonomy.cdm.model.taxon.SynonymRelationship;
 import eu.etaxonomy.cdm.model.taxon.SynonymRelationshipType;
@@ -159,7 +146,6 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonNode;
 import eu.etaxonomy.cdm.model.taxon.TaxonRelationship;
 import eu.etaxonomy.cdm.model.taxon.TaxonRelationshipType;
-import eu.etaxonomy.cdm.model.taxon.Classification;
 import eu.etaxonomy.cdm.model.view.AuditEvent;
 import eu.etaxonomy.cdm.persistence.dao.agent.IAgentDao;
 import eu.etaxonomy.cdm.persistence.dao.common.ICdmGenericDao;
@@ -177,7 +163,6 @@ import eu.etaxonomy.cdm.test.integration.CdmTransactionalIntegrationTest;
 /**
  * @author a.mueller
  * @created 27.07.2009
- * @version 1.0
  */
 @Ignore
 public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
@@ -194,7 +179,7 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 
 	
 	@SpringBeanByType
-	private ITaxonNameDao nameDao;
+	private ITaxonNameDao nameDao; 
 
 	@SpringBeanByType
 	private IAgentDao agentDao;
@@ -233,8 +218,8 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 	@Test
 	@Ignore
 	public void testDelete(){
-		Reference ref1 = ReferenceFactory.newBook();
-		Reference ref2 = ReferenceFactory.newBook();
+		Reference<?> ref1 = ReferenceFactory.newBook();
+		Reference<?> ref2 = ReferenceFactory.newBook();
 		Annotation annotation = Annotation.NewInstance("Anno1", null);
 		ref1.addAnnotation(annotation);
 		cdmGenericDao.saveOrUpdate(ref1);
@@ -336,7 +321,6 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 				AgentBase.class,
 				Institution.class, 
 				InstitutionalMembership.class, 
-				InstitutionType.class, 
 				Person.class, 
 				Team.class, 
 				TeamOrPersonBase.class, 
@@ -346,7 +330,6 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 				DefinedTermBase.class, 
 				Extension.class, 
 				ExtensionType.class, 
-				Figure.class, 
 				GrantedAuthorityImpl.class, 
 				Group.class, 
 				IdentifiableSource.class,
@@ -362,6 +345,7 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 				Representation.class, 
 				TermVocabulary.class, 
 				User.class, 
+				DefinedTerm.class,
 				
 				AbsenceTerm.class, 
 				CategoricalData.class, 
@@ -378,10 +362,7 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 				PresenceAbsenceTermBase.class, 
 				PresenceTerm.class, 
 				QuantitativeData.class, 
-				Scope.class, 
-				Sex.class, 
 				SpecimenDescription.class, 
-				Stage.class, 
 				State.class, 
 				StateData.class, 
 				StatisticalMeasure.class, 
@@ -391,25 +372,20 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 				TaxonNameDescription.class, 
 				TextData.class, 
 				TextFormat.class, 
-				Continent.class, 
 				NamedArea.class, 
 				NamedAreaLevel.class, 
 				NamedAreaType.class, 
 				ReferenceSystem.class, 
-				TdwgArea.class, 
-				WaterbodyOrCountry.class, 
+				Country.class, 
 				AudioFile.class, 
 				ImageFile.class, 
 				Media.class, 
 				MediaRepresentation.class, 
 				MediaRepresentationPart.class, 
 				MovieFile.class, 
-				ReferencedMediaBase.class, 
 				Rights.class, 
-				RightsTerm.class, 
+				RightsType.class, 
 				DnaSample.class, 
-				GenBankAccession.class, 
-				Locus.class, 
 				PhylogeneticTree.class, 
 				Sequence.class, 
 				BacterialName.class, 
@@ -436,16 +412,10 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 				DerivationEvent.class, 
 				DerivationEventType.class, 
 				DerivedUnit.class, 
-				DerivedUnitBase.class, 
 				DeterminationEvent.class, 
-				DeterminationModifier.class, 
-				FieldObservation.class, 
-				Fossil.class, 
+				FieldUnit.class, 
 				GatheringEvent.class, 
-				LivingBeing.class, 
-				Observation.class, 
 				PreservationMethod.class, 
-				Specimen.class, 
 				SpecimenOrObservationBase.class, 
 				Reference.class, 
 				Synonym.class, 
@@ -632,8 +602,8 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 		article1.addExtension(extension1);
 		article2.addExtension(extension2);
 		
-		IdentifiableSource source1 = IdentifiableSource.NewInstance();
-		IdentifiableSource source2 = IdentifiableSource.NewInstance();
+		IdentifiableSource source1 = IdentifiableSource.NewInstance(OriginalSourceType.Unknown);
+		IdentifiableSource source2 = IdentifiableSource.NewInstance(OriginalSourceType.Unknown);
 		
 		article1.addSource(source1);
 		article2.addSource(source2);
@@ -655,7 +625,7 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 		
 		TaxonDescription taxDesc = TaxonDescription.NewInstance(taxon1);
 		taxDesc.setTitleCache("taxDesc", true);
-		taxDesc.addSource(null, null, article2, null);
+		taxDesc.addSource(OriginalSourceType.Unknown, null, null, article2, null);
 
 		taxonDao.save(taxon1);
 
@@ -766,7 +736,7 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 		
 		team1.setNomenclaturalTitle("T.1");
 		String street1 = "Strasse1";
-		team1.setContact(Contact.NewInstance(street1, "12345", "Berlin", WaterbodyOrCountry.ARGENTINAARGENTINEREPUBLIC(),"pobox" , "Region", "a@b.de", "f12345", "+49-30-123456", "www.abc.de", Point.NewInstance(2.4, 3.2, ReferenceSystem.WGS84(), 3)));
+		team1.setContact(Contact.NewInstance(street1, "12345", "Berlin", Country.ARGENTINAARGENTINEREPUBLIC(),"pobox" , "Region", "a@b.de", "f12345", "+49-30-123456", "www.abc.de", Point.NewInstance(2.4, 3.2, ReferenceSystem.WGS84(), 3)));
 		team2.setContact(Contact.NewInstance("Street2", null, "London", null, null, null, null, "874599873", null, null, null));
 		String street3 = "Street3";
 		team2.addAddress(street3, null, null, null, null, null, Point.NewInstance(1.1, 2.2, null, 4));
@@ -822,7 +792,7 @@ public class CdmGenericDaoImplTest extends CdmTransactionalIntegrationTest{
 			if (street3.equals(address.getStreet())){
 				street3Exists = true;
 			}
-			if (WaterbodyOrCountry.ARGENTINAARGENTINEREPUBLIC() == address.getCountry()){
+			if (Country.ARGENTINAARGENTINEREPUBLIC() == address.getCountry()){
 				country1Exists = true;
 			}
 		}
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/DaoBaseTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/DaoBaseTest.java
index ed90a0bbfd..96a0432c85 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/DaoBaseTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/DaoBaseTest.java
@@ -12,7 +12,6 @@ package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
 import static org.junit.Assert.assertNotNull;
 
 import org.junit.Test;
-import org.unitils.spring.annotation.SpringApplicationContext;
 import org.unitils.spring.annotation.SpringBeanByType;
 
 import eu.etaxonomy.cdm.persistence.dao.hibernate.taxon.TaxonDaoHibernateImpl;
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/DefinedTermDaoImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/DefinedTermDaoImplTest.java
index f8b428d475..bfd1703659 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/DefinedTermDaoImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/DefinedTermDaoImplTest.java
@@ -82,7 +82,7 @@ public class DefinedTermDaoImplTest extends CdmIntegrationTest {
 
 	@Test
 	public void getTermByUUID() {
-		DefinedTermBase term = dao.findByUuid(uuid);
+		DefinedTermBase<?> term = dao.findByUuid(uuid);
 		assertNotNull("findByUuid should return a term",term);
 		assertEquals("findByUuid should return Feature.UNKNOWN",Feature.UNKNOWN(),term);
 	}
@@ -113,6 +113,17 @@ public class DefinedTermDaoImplTest extends CdmIntegrationTest {
 		Language lang = dao.getLanguageByIso("abcd");
 		assertNull("getLanguageByIso should return null for this malformed Iso \'abcd\'",lang);
 	}
+	
+	@Test
+	public void getDefinedTermByIdInVocabulary(){
+		UUID tdwgVocUuid = NamedArea.uuidTdwgAreaVocabulary;
+		List<NamedArea> list = dao.getDefinedTermByIdInVocabulary("GER", tdwgVocUuid, NamedArea.class, null, null);
+		assertNotNull("Method should return a result", list);
+		assertEquals("Method should return exactly 1 area", 1, list.size());
+		NamedArea area = list.get(0);
+		assertEquals("GER", area.getIdInVocabulary());
+		assertEquals(tdwgVocUuid, area.getVocabulary().getUuid());
+	}
 
 	 @Test
 	 public void testGetIncludes() {
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/PreferenceDaoTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/PreferenceDaoTest.java
new file mode 100644
index 0000000000..d73ca28202
--- /dev/null
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/PreferenceDaoTest.java
@@ -0,0 +1,80 @@
+/**
+* Copyright (C) 2007 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+
+package eu.etaxonomy.cdm.persistence.dao.hibernate.common;
+
+import org.junit.Assert;
+import org.junit.Test;
+import org.unitils.dbunit.annotation.DataSet;
+import org.unitils.spring.annotation.SpringBeanByType;
+
+import eu.etaxonomy.cdm.model.metadata.CdmPreference;
+import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
+import eu.etaxonomy.cdm.model.metadata.PreferenceSubject;
+import eu.etaxonomy.cdm.model.metadata.CdmPreference.PrefKey;
+import eu.etaxonomy.cdm.persistence.dao.common.IPreferenceDao;
+import eu.etaxonomy.cdm.test.integration.CdmIntegrationTest;
+
+/**
+ * @author a.mueller
+ *
+ */
+public class PreferenceDaoTest  extends CdmIntegrationTest {
+
+	@SpringBeanByType
+	IPreferenceDao dao;
+	
+/************ TESTS ********************************/
+
+    @Test
+    @DataSet
+    public void testDao() {
+    	Assert.assertNotNull(dao);
+    }
+
+    @Test
+    @DataSet
+    public void testGet() {
+        PrefKey key = CdmPreference.NewKey(PreferenceSubject.Database, PreferencePredicate.NomenclaturalCode);
+        CdmPreference pref = dao.get(key);
+        Assert.assertNotNull("CdmPreference for given key must exist", pref);
+        Assert.assertEquals("ICNAFP", pref.getValue());
+        
+        key = CdmPreference.NewKey(PreferenceSubject.Database, PreferencePredicate.Test);
+        pref = dao.get(key);
+        Assert.assertNull("CdmPreference for given key must not exist", pref);
+    }
+    
+	
+    @Test
+    @DataSet
+    public void testCount() {
+    	 int countStart = dao.count();
+         Assert.assertEquals("There should be 1 preference in the CDM store", 1, countStart);
+    }
+	
+    @Test
+    @DataSet
+    public void testSet() {
+    	 int countStart = dao.count();
+         Assert.assertEquals(1, countStart);
+    	
+    	CdmPreference pref = CdmPreference.NewInstance(PreferenceSubject.Database, PreferencePredicate.Test, "200");
+        dao.set(pref);
+	   	int count = dao.count();
+	    Assert.assertEquals("There should be 1 new preference", countStart + 1, count);
+
+        pref = CdmPreference.NewInstance(PreferenceSubject.Database, PreferencePredicate.NomenclaturalCode, "ICZN");
+        dao.set(pref);
+        
+	   	count = dao.count();
+	    Assert.assertEquals("There should be only 1 new preference", countStart + 1, count);
+        
+    }
+}
diff --git a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/TermVocabularyDaoImplTest.java b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/TermVocabularyDaoImplTest.java
index 58070b3cde..aee148496a 100644
--- a/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/TermVocabularyDaoImplTest.java
+++ b/cdmlib-persistence/src/test/java/eu/etaxonomy/cdm/persistence/dao/hibernate/common/TermVocabularyDaoImplTest.java
@@ -23,10 +23,8 @@ import org.unitils.spring.annotation.SpringBeanByType;
 
 import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
-import eu.etaxonomy.cdm.model.location.Continent;
 import eu.etaxonomy.cdm.model.location.NamedArea;
-import eu.etaxonomy.cdm.model.location.TdwgArea;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.persistence.dao.common.ITermVocabularyDao;
 import eu.etaxonomy.cdm.test.integration.CdmIntegrationTest;
@@ -34,7 +32,6 @@ import eu.etaxonomy.cdm.test.integration.CdmIntegrationTest;
 /**
  * @author a.babadshanjan
  * @created 10.02.2009
- * @version 1.0
  */
 public class TermVocabularyDaoImplTest extends CdmIntegrationTest {
 	@SuppressWarnings("unused")
@@ -62,16 +59,13 @@ public class TermVocabularyDaoImplTest extends CdmIntegrationTest {
 		//with subclasses
 		List<TermVocabulary<? extends NamedArea>> namedAreaVocabularies = dao.listByTermClass(NamedArea.class, true, false, null, null, null, null);
 		int subclassedSize = namedAreaVocabularies.size();
-		assertEquals("There should be 3 vocabularies (TdwgAreas, Continents, WaterbodyOrCountries)", 3, subclassedSize);
+		assertEquals("There should be 3 vocabularies (TdwgAreas, Continents, WaterbodyOrCountries)", 4, subclassedSize);
 		
 		List<TermVocabulary<? extends NamedArea>> namedAreaOnlyVocabularies = dao.listByTermClass(NamedArea.class, false, false, null, null, null, null);
-		List<TermVocabulary<? extends TdwgArea>> tdwgVocabularies = dao.listByTermClass(TdwgArea.class, false, false, null, null, null, null);
-		List<TermVocabulary<? extends WaterbodyOrCountry>> countryVocabularies = dao.listByTermClass(WaterbodyOrCountry.class, false, false, null, null, null, null);
-		List<TermVocabulary<? extends Continent>> continentVocabularies = dao.listByTermClass(Continent.class, false, false, null, null, null, null);
-		int sumOfSingleSizes = namedAreaOnlyVocabularies.size() + tdwgVocabularies.size() + countryVocabularies.size() + continentVocabularies.size();
+		List<TermVocabulary<? extends Country>> countryVocabularies = dao.listByTermClass(Country.class, false, false, null, null, null, null);
+		int sumOfSingleSizes = namedAreaOnlyVocabularies.size() + countryVocabularies.size();
 		assertEquals("number of NamedArea and subclasses should be same as sum of all single vocabularies", subclassedSize, sumOfSingleSizes);
-		
-		
+
 	}
 	
 	@Test
